commit:     71f1e02078b5eb4c7a88d691df9d0b005c6248c1
Author:     Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Sat Nov 26 23:47:40 2016 +0000
Commit:     Aric Belsito <lluixhi <AT> gmail <DOT> com>
CommitDate: Sat Nov 26 23:47:40 2016 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=71f1e020

media-sound/ncmpcpp: Add stable versions

So we have a version for each supported architecture.
Requires _XOPEN_SOURCE to be defined -- otherwise we get a build failure due to
missing definitions in ncursesw.h

 media-sound/ncmpcpp/Manifest             |  7 +++
 media-sound/ncmpcpp/metadata.xml         | 36 ++++++++++++++++
 media-sound/ncmpcpp/ncmpcpp-0.7.4.ebuild | 71 +++++++++++++++++++++++++++++++
 media-sound/ncmpcpp/ncmpcpp-0.7.5.ebuild | 71 +++++++++++++++++++++++++++++++
 media-sound/ncmpcpp/ncmpcpp-0.7.7.ebuild | 73 ++++++++++++++++++++++++++++++++
 5 files changed, 258 insertions(+)

diff --git a/media-sound/ncmpcpp/Manifest b/media-sound/ncmpcpp/Manifest
new file mode 100644
index 0000000..60440e9
--- /dev/null
+++ b/media-sound/ncmpcpp/Manifest
@@ -0,0 +1,7 @@
+DIST ncmpcpp-0.7.4.tar.bz2 442743 SHA256 
d70425f1dfab074a12a206ddd8f37f663bce2bbdc0a20f7ecf290ebe051f1e63 SHA512 
e5171bd095baefcdf1da1e4d3de3d14a22035584da9b7ec9f176c0fb32bee61a25d989c3405711e512333b10f38a5575e90ec733afeaf7aff995386396f3b918
 WHIRLPOOL 
57f771c83bbd9afcbeb8b7b8b7a50f0e3fbc95eb74b1ad6b199358431f5f80ed891d1c27902369cf29f9a29622fe88a83aa2fcf7053e0543afb7c23486413999
+DIST ncmpcpp-0.7.5.tar.bz2 443072 SHA256 
7e4f643020b36698462879013a8b16111f8c3a4c5819cf186aed78032a41e07d SHA512 
5f3b370a5a8fdc05e85a7b748debd960c0e76d5b9e43717efceaa985baa0c543d14d8b0fd7b09550111bff3aa66ec290d6cd2c0ec21de7a0caa10df1c68c99c8
 WHIRLPOOL 
c9fb96f91f308d9937bc832a85cc50293aedcb6fb2eb62e879d08f6ee334b2bb131bbeecd83608fe050c00a3facf025070d8c586796a4a05bc70665e53b47c19
+DIST ncmpcpp-0.7.7.tar.bz2 443801 SHA256 
b7bcbec83b1f88cc7b21f196b10be09a27b430566c59f402df170163464d01ef SHA512 
a0bbe85f154c40513d41e85810de86ed21109b72fb0f2bdb0b78dcbddb3770aff5422b5bb7fbac2b76634c5b9aaf843bed5fc16fc672fcd71bbae911f65c0034
 WHIRLPOOL 
49a5e16cf583424618db5e2c38a946cc60d5ea2e17015c7e6232c91f84cf44c308389b81bb2f380045f3f9595d83a13c2a4f571930ea122e85437f4e6cccb4d1
+EBUILD ncmpcpp-0.7.4.ebuild 1581 SHA256 
07c543b8e0e12d896033b3c226bacecf5faeb76f9567f35ffd6946ef71d696a5 SHA512 
211cd623f8dfefbd52ecba65ee4e22f22e9742d822dbdacfe7197b838d95557d9aef8f709477200c2aa586bf19eb239e10b77aea3b92d16b5e615f1978c49154
 WHIRLPOOL 
ea290c0bb61a53c61cd4a71ebab110ad09a6e650655eb54fa3a60ca9bc33823e055911d96c4f4bfe2a8763dbd4e860d6ee5bc16f976d9481def266fe6f4343d6
+EBUILD ncmpcpp-0.7.5.ebuild 1583 SHA256 
537a2722a25eeef2899490840650cb1c266bba388fd7ee20f5ebefed2d76f7b5 SHA512 
693cb3126a848d274a9eb4e5f21aa69d61e3f54dfb81364f1e2fc58dd82f60964f787cb2894191a6946fcd0f19c11b93056693f319997e18b1ea276ae4b21f7f
 WHIRLPOOL 
40ad82f58e5535f49fac24cff4062be5960044ebdd5beedc0103caf25fa8c1cd8e7e19b345ae387b75d6108865059afef3eb4bd6d30f998b1a62bb46501cf4ce
+EBUILD ncmpcpp-0.7.7.ebuild 1597 SHA256 
61ab1a6f433685c9785ed58f964106ebd5ffac3d8a43b222866479fc766a9f61 SHA512 
ee9412b52997f6c63d7bbc9398affc4c9d0787c1c9091e3dfa3502c55ffda89bcec37d7149272c2c05a9f4a0f7213abc591149eeebc81bef5eac76b9e74b650f
 WHIRLPOOL 
360af427a581fc8ed384539bc430330d099924151035866a26c19bad49d9f2e1625c9a52b0ba7d8a33beab7b461eb679457e5dcf2b716ea0a724489537206797
+MISC metadata.xml 1174 SHA256 
3b582409294d8085d7a5f013dce2086292a956dd66df435251575080131798c9 SHA512 
4c212ee37621f97c0519a842878764a6fe8c44b17af68747cbfb6965cf5419b00c87bfe11a01b6964e4c5f6818acdc583c277c5cab81bd0de392ef4945a5523f
 WHIRLPOOL 
f69d138714046a686431d30539cc53e966f843fbf3b2f91bed207f752eff06a36c6e32776688f0854d3dfaf342f068409a4e0be2d2851ca76679a23cd43b823c

diff --git a/media-sound/ncmpcpp/metadata.xml b/media-sound/ncmpcpp/metadata.xml
new file mode 100644
index 0000000..b19eb81
--- /dev/null
+++ b/media-sound/ncmpcpp/metadata.xml
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Sound project</name>
+       </maintainer>
+       <use>
+               <flag name="clock">Enable clock screen</flag>
+               <flag name="outputs">Enable outputs screen</flag>
+               <flag name="visualizer">Enable visualizer screen with sound 
wave/frequency
+                       spectrum modes</flag>
+       </use>
+       <longdescription lang="en">
+       A featureful <pkg>sys-libs/ncurses</pkg> based 
<pkg>media-sound/mpd</pkg>
+       client inspired by <pkg>media-sound/ncmpc</pkg>
+
+       Ncmpcpp is very similar to ncmpc if it comes to user interface, but it
+       provides a lot of new useful features. 
+
+       Main new features:
+        * tag editor
+        * playlist editor
+        * easy to use search engine
+        * media library
+        * music visualizer
+        * ability to fetch artist info from last.fm
+        * new display mode
+        * alternative user interface
+        * ability to browse and add files from outside of MPD music directory
+        ..and a lot more minor convenient functions.
+       </longdescription>
+</pkgmetadata>

diff --git a/media-sound/ncmpcpp/ncmpcpp-0.7.4.ebuild 
b/media-sound/ncmpcpp/ncmpcpp-0.7.4.ebuild
new file mode 100644
index 0000000..d4493e8
--- /dev/null
+++ b/media-sound/ncmpcpp/ncmpcpp-0.7.4.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils flag-o-matic
+
+DESCRIPTION="featureful ncurses based MPD client inspired by ncmpc"
+HOMEPAGE="http://ncmpcpp.rybczak.net/";
+SRC_URI="http://ncmpcpp.rybczak.net/stable/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 arm hppa ppc ppc64 ~sparc x86"
+IUSE="clock curl outputs taglib unicode visualizer"
+
+RDEPEND="
+       !dev-libs/boost:0/1.57.0
+       >=media-libs/libmpdclient-2.1
+       dev-libs/boost:=[nls,threads]
+       sys-libs/ncurses:=[unicode?]
+       sys-libs/readline:*
+       curl? ( net-misc/curl )
+       taglib? ( media-libs/taglib )
+       unicode? (
+               dev-libs/boost:=[icu]
+               dev-libs/icu:=
+       )
+       visualizer? ( sci-libs/fftw:3.0= )
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       sed -i -e '/^docdir/d' {,doc/}Makefile{.am,.in} || die
+       sed -i -e 's|COPYING||g' Makefile{.am,.in} || die
+}
+
+src_configure() {
+       append-cppflags "-D_XOPEN_SOURCE=500"
+       econf \
+               $(use_enable clock) \
+               $(use_enable outputs) \
+               $(use_enable unicode) \
+               $(use_enable visualizer) \
+               $(use_with curl) \
+               $(use_with taglib) \
+               $(use_with visualizer fftw) \
+               --docdir=/usr/share/doc/${PF}
+}
+
+src_install() {
+       default
+
+       dodoc doc/{bindings,config}
+}
+
+pkg_postinst() {
+       echo
+       elog "Example configuration files have been installed at"
+       elog "${ROOT}usr/share/doc/${PF}"
+       elog "${P} uses ~/.ncmpcpp/config and ~/.ncmpcpp/bindings"
+       elog "as user configuration files."
+       echo
+       if use visualizer; then
+       elog "If you want to use the visualizer, you need mpd with fifo 
enabled."
+       echo
+       fi
+}

diff --git a/media-sound/ncmpcpp/ncmpcpp-0.7.5.ebuild 
b/media-sound/ncmpcpp/ncmpcpp-0.7.5.ebuild
new file mode 100644
index 0000000..f415b1e
--- /dev/null
+++ b/media-sound/ncmpcpp/ncmpcpp-0.7.5.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils flag-o-matic
+
+DESCRIPTION="featureful ncurses based MPD client inspired by ncmpc"
+HOMEPAGE="http://ncmpcpp.rybczak.net/";
+SRC_URI="http://ncmpcpp.rybczak.net/stable/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 arm hppa ~ppc ppc64 ~sparc ~x86"
+IUSE="clock curl outputs taglib unicode visualizer"
+
+RDEPEND="
+       !dev-libs/boost:0/1.57.0
+       >=media-libs/libmpdclient-2.1
+       dev-libs/boost:=[nls,threads]
+       sys-libs/ncurses:=[unicode?]
+       sys-libs/readline:*
+       curl? ( net-misc/curl )
+       taglib? ( media-libs/taglib )
+       unicode? (
+               dev-libs/boost:=[icu]
+               dev-libs/icu:=
+       )
+       visualizer? ( sci-libs/fftw:3.0= )
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       sed -i -e '/^docdir/d' {,doc/}Makefile{.am,.in} || die
+       sed -i -e 's|COPYING||g' Makefile{.am,.in} || die
+}
+
+src_configure() {
+       append-cppflags "-D_XOPEN_SOURCE=500"
+       econf \
+               $(use_enable clock) \
+               $(use_enable outputs) \
+               $(use_enable unicode) \
+               $(use_enable visualizer) \
+               $(use_with curl) \
+               $(use_with taglib) \
+               $(use_with visualizer fftw) \
+               --docdir=/usr/share/doc/${PF}
+}
+
+src_install() {
+       default
+
+       dodoc doc/{bindings,config}
+}
+
+pkg_postinst() {
+       echo
+       elog "Example configuration files have been installed at"
+       elog "${ROOT}usr/share/doc/${PF}"
+       elog "${P} uses ~/.ncmpcpp/config and ~/.ncmpcpp/bindings"
+       elog "as user configuration files."
+       echo
+       if use visualizer; then
+       elog "If you want to use the visualizer, you need mpd with fifo 
enabled."
+       echo
+       fi
+}

diff --git a/media-sound/ncmpcpp/ncmpcpp-0.7.7.ebuild 
b/media-sound/ncmpcpp/ncmpcpp-0.7.7.ebuild
new file mode 100644
index 0000000..89e2e3d
--- /dev/null
+++ b/media-sound/ncmpcpp/ncmpcpp-0.7.7.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils flag-o-matic
+
+DESCRIPTION="featureful ncurses based MPD client inspired by ncmpc"
+HOMEPAGE="http://ncmpcpp.rybczak.net/";
+SRC_URI="http://ncmpcpp.rybczak.net/stable/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="clock curl outputs taglib unicode visualizer"
+
+RDEPEND="
+       !dev-libs/boost:0/1.57.0
+       >=media-libs/libmpdclient-2.1
+       dev-libs/boost:=[nls,threads]
+       sys-libs/ncurses:=[unicode?]
+       sys-libs/readline:*
+       curl? ( net-misc/curl )
+       taglib? ( media-libs/taglib )
+       unicode? (
+               dev-libs/boost:=[icu]
+               dev-libs/icu:=
+       )
+       visualizer? ( sci-libs/fftw:3.0= )
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+
+       sed -i -e '/^docdir/d' {,doc/}Makefile{.am,.in} || die
+       sed -i -e 's|COPYING||g' Makefile{.am,.in} || die
+}
+
+src_configure() {
+       append-cppflags "-D_XOPEN_SOURCE=500"
+       econf \
+               $(use_enable clock) \
+               $(use_enable outputs) \
+               $(use_enable unicode) \
+               $(use_enable visualizer) \
+               $(use_with curl) \
+               $(use_with taglib) \
+               $(use_with visualizer fftw) \
+               --docdir=/usr/share/doc/${PF}
+}
+
+src_install() {
+       default
+
+       dodoc doc/{bindings,config}
+}
+
+pkg_postinst() {
+       echo
+       elog "Example configuration files have been installed at"
+       elog "${ROOT}usr/share/doc/${PF}"
+       elog "${P} uses ~/.ncmpcpp/config and ~/.ncmpcpp/bindings"
+       elog "as user configuration files."
+       echo
+       if use visualizer; then
+       elog "If you want to use the visualizer, you need mpd with fifo 
enabled."
+       echo
+       fi
+}

Reply via email to